=== debian/changelog ===
kwayland (4:5.57.0.18-1) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 17 Oct 2022 13:39:55 +0800

kwayland (4:5.57.0.17-1) unstable; urgency=medium

  * feat: move start and stop logic from kwin
  * Release tag 5.57.0.17

 -- Lei Su <sulei@uniontech.com>  Wed, 01 Jun 2022 13:57:37 +0800
