## kwayland 5.62.0

=== debian/changelog ===
kwayland (4:5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files with the logs of buildds.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove unused ${shlibs:Depends} substvar for kwayland-data.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the migration from kwayland-dbg, no more needed after two
    Debian stable releases.
  * Drop the unused 'testsuite' autopkgtest, as it does not test the installed
    packages anyway
    - drop patch kubuntu_disable-tests.diff, no more needed now
  * Remove the unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Sep 2019 09:05:10 +0200

kwayland (4:5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Disable autopkgtest testsuite
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:14 -0700

kwayland (4:5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 932106).

  [ Maximiliano Curia ]
  * New upstream release (5.61.0).
  * Add missing build dep wayland-protocols
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Ignore reprotest build path variations
  * Add missing version to maintscript
  * Add missing libwayland-dev dep to the dev package
  * Drop old transitional package (Closes: 939248)
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:00 +0100
