=== debian/changelog ===
kwayland (4:5.68.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:39 +0000

kwayland (4:5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:25 +0000

kwayland (4:5.66.0-0ubuntu2) focal; urgency=medium

  * debian/patches: Drop no longer needed kubuntu_disable-tests.diff

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Feb 2020 11:45:56 +0000

kwayland (4:5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:14 +0000

kwayland (4:5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:19 +0000

kwayland (4:5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:29 +0000

kwayland (4:5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:08:54 +0100

kwayland (4:5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Build depend on wayland-protocols (>= 1.15)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:35 +0100

kwayland (4:5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:02 +0100

kwayland (4:5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:11 +0100

kwayland (4:5.58.0-0ubuntu2) eoan; urgency=medium

  * Add libwayland-dev to acc test dependencies.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 May 2019 17:16:40 +0100

kwayland (4:5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:21 +0100

kwayland (4:5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:55 +0100
