=== debian/tests/control ===
#Tests: testsuite
#Depends: @, @builddeps@, build-essential,
#         xvfb, xauth, dbus-x11,
#         libpam-systemd, weston, qtwayland5
#Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags, libwayland-dev
Restrictions: allow-stderr
